//
//  TCGBIAP.h
//  Gamebase
//
//  Created by NHNEnt on 10/06/2019.
//  Copyright © 2019 NHN Corp. All rights reserved.
//

#ifndef TCGBIAP_h
#define TCGBIAP_h

#import <Foundation/Foundation.h>
#import "TCGBError.h"
#import "TCGBIAPProduct.h"
#import "TCGBIAPPurchase.h"

NS_ASSUME_NONNULL_BEGIN

typedef void(^TCGBIAPResultCompletion) (NSString *storeCode, TCGBIAPPurchase *_Nullable purchase, NSString *productIdentifier, TCGBError *_Nullable error);


@interface TCGBIAP : NSObject

+ (void)requestProductDetailsWithCompletion:(void (^)(TCGBIAPProductDetailsResult *_Nullable response,
                                                      TCGBError *_Nullable error))completion;

+ (void)purchaseWithProductID:(NSString *)productID
                   completion:(TCGBIAPResultCompletion)completion;

+ (void)requestConsumablePurchasesWithCompletion:(void (^)(NSArray<TCGBIAPPurchase *> *_Nullable purchases,
                                                           TCGBError *_Nullable error))completion;

+ (void)requestRestorePurchasesWithCompletion:(void (^)(NSArray<TCGBIAPPurchase *> *_Nullable purchases,
                                                        TCGBError *_Nullable error))completion;

+ (void)requestActivedPurchasesWithCompletion:(void (^)(NSArray<TCGBIAPPurchase *> *_Nullable purchases,
                                                        TCGBError *_Nullable error))completion;

+ (void)setPurchaseUpdateHandler:(TCGBIAPResultCompletion)handler;

@end

NS_ASSUME_NONNULL_END

#endif /* TCGBIAP_h */
