//
//  TCGBIAPProduct.h
//  Gamebase
//
//  Created by NHNEnt on 11/06/2019.
//  Copyright © 2019 NHN Corp. All rights reserved.
//

#ifndef TCGBIAPProduct_h
#define TCGBIAPProduct_h

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NSString *TCGBIAPProductType NS_STRING_ENUM;
extern TCGBIAPProductType const TCGBIAPProductTypeUnknown;
extern TCGBIAPProductType const TCGBIAPProductTypeConsumable;
extern TCGBIAPProductType const TCGBIAPProductTypeAutoRenewableSubscription;

@interface TCGBIAPProduct : NSObject

@property (nonatomic, readonly, copy) NSString *store;
@property (nonatomic, readonly) TCGBIAPProductType productType;
@property (nonatomic, readonly, copy) NSString *productID;
@property (nonatomic, readonly) NSInteger productSeq;
@property (nonatomic, readonly, copy, nullable) NSString *productName;
@property (nonatomic, readonly, copy, nullable) NSDecimalNumber *price;
@property (nonatomic, readonly, copy, nullable) NSString *currency;
@property (nonatomic, readonly, copy, nullable) NSString *localizedPrice;
@property (nonatomic, readonly, getter=isActive) BOOL active;

@end


@interface TCGBIAPProductDetailsResult : NSObject

@property (nonatomic, readonly, copy) NSArray<TCGBIAPProduct *> *products;
@property (nonatomic, readonly, copy) NSArray<TCGBIAPProduct *> *invalidProducts;

@end

NS_ASSUME_NONNULL_END

#endif /* TCGBIAPProduct_h */
