//
//  TCGBIAPPurchase.h
//  Gamebase
//
//  Created by NHNEnt on 11/06/2019.
//  Copyright © 2019 NHN Corp. All rights reserved.
//

#ifndef TCGBIAPPurchase_h
#define TCGBIAPPurchase_h

#import <Foundation/Foundation.h>
#import "TCGBIAPProduct.h"

NS_ASSUME_NONNULL_BEGIN

@interface TCGBIAPPurchase : NSObject

@property (nonatomic, readonly, copy) NSString *store;
@property (nonatomic, readonly, copy) NSString *productID;
@property (nonatomic, readonly) TCGBIAPProductType productType;
@property (nonatomic, readonly, copy) NSDecimalNumber *price;
@property (nonatomic, readonly, copy) NSString *priceCurrencyCode;
@property (nonatomic, readonly, copy) NSString *paymentSequence;
@property (nonatomic, readonly, copy) NSString *accessToken;
@property (nonatomic, readonly, copy) NSString *userID;
@property (nonatomic, readonly, getter=isStorePayment) BOOL storePayment;
@property (nonatomic, readonly) NSTimeInterval purchaseTime;
@property (nonatomic, readonly) NSTimeInterval expiryTime;
@property (nonatomic, readonly, copy, nullable) NSString *paymentID;
@property (nonatomic, readonly, copy, nullable) NSString *originalPaymentID;

@end

NS_ASSUME_NONNULL_END

#endif /* TCGBIAPPurchase_h */
