//
//  TCGBPushConfiguration.h
//  Gamebase
//
//  Created by NHNEnt on 11/07/2019.
//  Copyright © 2019 NHN Corp. All rights reserved.
//

#ifndef TCGBPushConfiguration_h
#define TCGBPushConfiguration_h

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TCGBPushConfiguration : NSObject

@property (nonatomic, assign) BOOL allowAdvertisements;
@property (nonatomic, assign) BOOL allowNightAdvertisements;
@property (nonatomic, strong) NSString *displayLanguage;

- (instancetype)init;

- (instancetype)initWithAllowAdvertisements:(BOOL)allowAdvertisements
                   allowNightAdvertisements:(BOOL)allowNightAdvertisements;

- (instancetype)initWithAllowAdvertisements:(BOOL)allowAdvertisements
                   allowNightAdvertisements:(BOOL)allowNightAdvertisements
                            displayLanguage:(NSString *)displayLanguage;

+ (TCGBPushConfiguration *)configurationWithAllowAdvertisements:(BOOL)allowAdvertisements
                                       allowNightAdvertisements:(BOOL)allowNightAdvertisements;

+ (TCGBPushConfiguration *)configurationWithAllowAdvertisements:(BOOL)allowAdvertisements
                                       allowNightAdvertisements:(BOOL)allowNightAdvertisements
                                                displayLanguage:(NSString *)displayLanguage;


+ (nullable TCGBPushConfiguration *)configurationWithJSONString:(NSString *)jsonString;

- (NSString *)JSONString;

- (NSString *)JSONPrettyString;

@end

NS_ASSUME_NONNULL_END

#endif /* TCGBPushConfiguration_h */
