//
//  TCGBPushTokenInfo.h
//  GamebasePushAdapter
//
//  Created by NHNEnt on 24/05/2019.
//  Copyright © 2019 NHNEnt. All rights reserved.
//

#ifndef TCGBPushToken_h
#define TCGBPushToken_h

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TCGBPushAgreement : NSObject

@property (nonatomic, readonly, assign) BOOL allowNotifications;
@property (nonatomic, readonly, assign) BOOL allowAdvertisements;
@property (nonatomic, readonly, assign) BOOL allowNightAdvertisements;

- (NSString *)JSONString;

- (NSString *)JSONPrettyString;

@end

@interface TCGBPushTokenInfo : NSObject

@property (nonatomic, readonly, copy, nullable) NSString *userID;
@property (nonatomic, readonly, copy, nullable) NSString *deviceToken;
@property (nonatomic, readonly, copy, nullable) NSString *countryCode;
@property (nonatomic, readonly, copy, nullable) NSString *languageCode;
@property (nonatomic, readonly, copy) TCGBPushAgreement *agreement;
@property (nonatomic, readonly, copy, nullable) NSString *timezone;
@property (nonatomic, readonly, copy, nullable) NSString *updateDateTime;

- (NSString *)JSONString;

- (NSString *)JSONPrettyString;

@end

NS_ASSUME_NONNULL_END

#endif /* TCGBPushToken_h */
